Bug 731760 - SELinux is preventing /usr/sbin/wpa_supplicant from 'create' accesses on the netlink_socket Unknown.
Summary: SELinux is preventing /usr/sbin/wpa_supplicant from 'create' accesses on the ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Milos Malik
URL:
Whiteboard: abrt_hash:c1e875c6c095dc250cb1e24008a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-18 14:53 UTC by Michal Nowak
Modified: 2013-03-08 02:12 UTC (History)
4 users (show)

Fixed In Version: selinux-policy-3.7.19-108.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 10:13:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1511 normal SHIPPED_LIVE selinux-policy bug fix and enhancement update 2011-12-06 00:39:17 UTC

Description Michal Nowak 2011-08-18 14:53:41 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         2.6.32-184.el6.x86_64
reason:         SELinux is preventing /usr/sbin/wpa_supplicant from 'create' accesses on the netlink_socket Unknown.
time:           Thu Aug 18 16:53:14 2011

description:
:SELinux is preventing /usr/sbin/wpa_supplicant from 'create' accesses on the netlink_socket Unknown.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that wpa_supplicant should be allowed create access on the Unknown netlink_socket by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep wpa_supplicant /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
:Target Context                system_u:system_r:NetworkManager_t:s0-s0:c0.c1023
:Target Objects                Unknown [ netlink_socket ]
:Source                        wpa_supplicant
:Source Path                   /usr/sbin/wpa_supplicant
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           wpa_supplicant-0.7.3-1.el6
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.7.19-107.el6
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux dhcp-25-35.brq.redhat.com
:                              2.6.32-184.el6.x86_64 #1 SMP Tue Aug 9 12:20:06
:                              EDT 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    Thu 18 Aug 2011 08:49:03 AM CEST
:Last Seen                     Thu 18 Aug 2011 08:49:03 AM CEST
:Local ID                      2a31bd07-3a6d-4d74-8a2e-be4e35c7319a
:
:Raw Audit Messages
:type=AVC msg=audit(1313650143.920:5): avc:  denied  { create } for  pid=1958 comm="wpa_supplicant" scontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tcontext=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 tclass=netlink_socket
:
:
:type=SYSCALL msg=audit(1313650143.920:5): arch=x86_64 syscall=socket success=no exit=EACCES a0=10 a1=3 a2=10 a3=38 items=0 ppid=1 pid=1958 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=wpa_supplicant exe=/usr/sbin/wpa_supplicant subj=system_u:system_r:NetworkManager_t:s0-s0:c0.c1023 key=(null)
:
:Hash: wpa_supplicant,NetworkManager_t,NetworkManager_t,netlink_socket,create
:
:audit2allow
:
:#============= NetworkManager_t ==============
:allow NetworkManager_t self:netlink_socket create;
:
:audit2allow -R
:
:#============= NetworkManager_t ==============
:allow NetworkManager_t self:netlink_socket create;
:

Comment 2 Miroslav Grepl 2011-08-22 13:23:49 UTC
I am fixing it.

Comment 4 Miroslav Grepl 2011-08-24 15:30:58 UTC
Fixed in selinux-policy-3.7.19-108.el6

Comment 7 errata-xmlrpc 2011-12-06 10:13:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1511.html


Note You need to log in before you can comment on or make changes to this bug.